Subject: Re: [Capwap] Statistics for WTP Event Request - Issue 84

From: "Saravanan Govindan" <[email-masked]>
Date: Wed, 14 Jun 2006 15:05:03 +0800

Dorothy,

I agree with your definition and text for the new statistic. Regarding
the statistic's relation to WTP radios, I think the statistic would be
different for each radio provided that the radios are each served by
separate transmit queues. 

I am ok with the semantics of the new name. I think for the benefit of
first-time readers, a short description can be added to the definition.
Please consider something along the lines of;

"The Wireless Transmit Queue Level is representative of congestion
conditions over wireless interfaces between the WTP and wireless
terminals."

Cheers,

Saravanan 

________________________________

From: Dorothy Stanley [mailto:[email-masked]] 
Sent: Tuesday, June 13, 2006 11:16 PM
To: Saravanan Govindan
Cc: Pat Calhoun (pacalhou); capwap
Subject: Re: [Capwap] Statistics for WTP Event Request - Issue 84

Saravanan,

Thanks for your comments. I have more questions on the proposed
congestion/wireless
transmit queue statistic:

>I think this Congestion should represent the total value of all
transmit queues at the WTP. At the same time, the AC needs to know >the
total queue size available - so as to calculate relative level of
congestion.
>Congestion in the form of total wireless transmit queue

Discussion:

a) Proposed name of Statistic: Wireless Transmit Queue Level
b) If the WTP calculates the percentage of total , then the total queue
size available need not be transported
c) Suggest the follwoing definition:

Wireless Transmit Queue Level - The percentage of Wireless Transmit
queue
utilization, calaculated as the sum of utilized transmit queue lengths
divided by the
sum of maximum transmit queue lengths,  multiplied by 100.

d) Include in WTP Operational Statistics Message Element
e) This statistic is per-radio.

Comments?

Thanks,

Dorothy

On 6/12/06, Saravanan Govindan <[email-masked]>
wrote: 

Dorothy,

In general, I think the new message elements you propose address this
issue well. I have included specific notes below. 

Cheers,

Saravanan 

> WTP Load - load in frames per second exchanged by the WTP -  Assuming
that
> the exchange is over the air; Add  "Wireless Link Frames/Sec"
statistics field
> in a new WTP Operational Statistics message element

[SG] I am ok with this. 

> WTP Transmit Queue - as a percentage of queue size - Which Queue is
this? going to the AC or the STA?
> If to the STA, then the statistic may vary with the L2 wireless type,
e.g., is it a 
> single queue for non-WMM traffic? multiple statistics for each of the
WMM queues, or an
> aggregate of all wireless transmit queues?

[SG] Reviewing this stat, I think this relates to "Congestion" below.

> Channel Interference - SINR - this is radio dependent, include a noise
floor in the 
> proposed WTP Radio Statistics message element
> 

> Congestion - Congestion experienced by the WTP - Need more info here,
is this congestion on the
> WTP-AC link? How is it measured?

[SG] This refers to congestion over the air interface (WTP-STA).
Congestion over the air interface is a function of channel conditions
and the transmit queue to STA(s). In dense deployments with many WTPs
and STAs, transmit queues build up with channel interference. A first
step to addressing this is to let the AC know of the condition. 

I think this Congestion should represent the total value of all transmit
queues at the WTP. At the same time, the AC needs to know the total
queue size available - so as to calculate relative level of congestion. 

> Propose new WTP specific statistics:
> 
> - Add more fields/detail to the  WTP Reboot Statistics message
element, see 4.4.43
> - Add a new WTP Operational Statistics message element
> - Add a new WTP Radio Statistics message element, as shown below

[SG] I am ok with the proposed message elements and fields. In addition,
I think WTP Operational Statistics message element should have the
following fields;

- WTP Load in the form of Wireless Link Frames/Sec

- Congestion in the form of total wireless transmit queue 

_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap

---

From: "Dorothy Stanley" <[email-masked]>
Date: Wed, 14 Jun 2006 06:19:08 -0700

Saravanan,

Thank you. I will incorporate the proposed text, and believe that
this should close Issue 84 in -02.

Dorothy

On 6/14/06, Saravanan Govindan <[email-masked]> wrote:
>
>  Dorothy,
>
>
>
> I agree with your definition and text for the new statistic. Regarding the
> statistic's relation to WTP radios, I think the statistic would be different
> for each radio provided that the radios are each served by separate transmit
> queues.
>
>
>
> conditions over wireless interfaces between the WTP and wireless terminals."
>
>
>
> Cheers,
>
>
> Saravanan
>
>
>
>
>
>
>  ------------------------------
>
> *From:* Dorothy Stanley [mailto:[email-masked]]
> *Sent:* Tuesday, June 13, 2006 11:16 PM
> *To:* Saravanan Govindan
> *Cc:* Pat Calhoun (pacalhou); capwap
>
> *Subject:* Re: [Capwap] Statistics for WTP Event Request - Issue 84
>
>
>
> Saravanan,
>
> queues at the WTP. At the same time, the AC needs to know >the total queue
> size available – so as to calculate relative level of congestion.
> Wireless Transmit Queue Level - The percentage of Wireless Transmit queue
> On 6/12/06, *Saravanan Govindan* <[email-masked]>
> wrote:
>
> Dorothy,
>
>
>
> > the exchange is over the air; Add  "Wireless Link Frames/Sec" statistics
> field
> > Congestion - Congestion experienced by the WTP - Need more info here, is
> this congestion on the
> Congestion over the air interface is a function of channel conditions and
> the transmit queue to STA(s). In dense deployments with many WTPs and STAs,
> transmit queues build up with channel interference. A first step to
> addressing this is to let the AC know of the condition.
>
>
>
> queues at the WTP. At the same time, the AC needs to know the total queue
> size available – so as to calculate relative level of congestion.
>
>
>
>
> > - Add more fields/detail to the  WTP Reboot Statistics message element,
> see 4.4.43
> [SG] I am ok with the proposed message elements and fields. In addition, I
> think WTP Operational Statistics message element should have the following
> fields;
>
>
>